<?php

declare(strict_types=1);

use App\Controller\NewsController;
use Hyperf\HttpServer\Router\Router;
use App\Middleware\Auth\FooMiddleware;
Router::addGroup(
    '/news', function () {
    Router::get('/getCategoryList', [NewsController::class, 'getCategoryList']);
    Router::get('/categoryList', [NewsController::class, 'categoryList']);
    Router::post('/addCategory', [NewsController::class, 'addCategory']);
    Router::post('/updateCategory', [NewsController::class, 'updateCategory']);
    Router::post('/delCategory', [NewsController::class, 'delCategory']);
    Router::get('/getArticleList', [NewsController::class, 'getArticleList']);
    Router::post('/addArticle', [NewsController::class, 'addArticle']);
    Router::post('/updateArticle', [NewsController::class, 'updateArticle']);
    Router::post('/delArticle', [NewsController::class, 'delArticle']);
    Router::get('/getArticleInfo', [NewsController::class, 'getArticleInfo']);

},
    ['middleware' => [FooMiddleware::class]]
);
