<?php

declare(strict_types=1);

use App\Controller\WebsiteController;
use Hyperf\HttpServer\Router\Router;
use App\Middleware\Auth\FooMiddleware;
Router::addGroup(
    '/website', function () {
        Router::post('/addWebsite', [WebsiteController::class, 'addWebsite']);
        Router::get('/getWebsiteList', [WebsiteController::class, 'getWebsiteList']);
        Router::post('/updateWebsite', [WebsiteController::class, 'updateWebsite']);
        Router::post('/delWebsite', [WebsiteController::class, 'delWebsite']);
        Router::get('/getWebsiteInfo', [WebsiteController::class, 'getWebsiteInfo']);
        Router::get('/getWebsiteColumn', [WebsiteController::class, 'getWebsiteColumn']);
        Router::get('/getWebsiteColumnList', [WebsiteController::class, 'getWebsiteColumnList']);
        Router::post('/addWebsiteColumn', [WebsiteController::class, 'addWebsiteColumn']);
        Router::post('/updateWebsiteColumn', [WebsiteController::class, 'updateWebsiteColumn']);
        Router::post('/delWebsiteColumn', [WebsiteController::class, 'delWebsiteColumn']);
        Router::get('/getWebsiteRoleList', [WebsiteController::class, 'getWebsiteRoleList']);
        Router::post('/createWebsiteRole', [WebsiteController::class, 'createWebsiteRole']);
        Router::post('/delWebsiteRole', [WebsiteController::class, 'delWebsiteRole']);
        Router::get('/getWebsiteRoleUserList', [WebsiteController::class, 'getWebsiteRoleUserList']);
        Router::post('/createWebsiteRoleUser', [WebsiteController::class, 'createWebsiteRoleUser']);
        Router::post('/delWebsiteRoleUser', [WebsiteController::class, 'delWebsiteRoleUser']);

        Router::get('/getTemplateClass', [WebsiteController::class, 'getTemplateClass']); //获取模板分类
        Router::post('/addTemplateClass', [WebsiteController::class, 'addTemplateClass']); //添加模板分类
        Router::post('/upTemplateClass', [WebsiteController::class, 'upTemplateClass']); //更新模板分类
        Router::post('/delTemplateClass', [WebsiteController::class, 'delTemplateClass']); //删除模板分类
        Router::get('/getTemplate', [WebsiteController::class, 'getTemplate']); //获取分类下模板列表
        Router::post('/addTemplate', [WebsiteController::class, 'addTemplate']); //获取分类下模板列表
        Router::post('/upTemplate', [WebsiteController::class, 'upTemplate']); //更新分类下模板列表
        Router::post('/delTemplate', [WebsiteController::class, 'delTemplate']); //删除分类下模板列表

    },
    ['middleware' => [FooMiddleware::class]]
);
